# SendAudioData - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.media / SendAudioData

# SendAudioData

(common) `data class SendAudioData : DataRequest<ContentMessage<AudioContent>>, SendMessageRequest<ContentMessage<AudioContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<AudioContent>>, TextableSendMessageRequest<ContentMessage<AudioContent>>, ThumbedSendMessageRequest<ContentMessage<AudioContent>>, TitledSendMessageRequest<ContentMessage<AudioContent>>, DuratedSendMessageRequest<ContentMessage<AudioContent>>, Performerable` (source)

### Properties

(common)

#### audio

`val audio: String?`

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### duration

Duration of media, usually in seconds

`val duration: Long?`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### performer

`val performer: String?`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<AudioContent>>`

(common)

#### text

`val text: String?`

(common)

#### thumb

`val thumb: String?`

(common)

#### title

`val title: String?`

### Functions

(common)

#### method

`fun method(): String`